phing-types

# Class: PhingFilterReader Source Location: /types/PhingFilterReader.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --PhingFilterReader
A PhingFilterReader is a wrapper class that encloses the className and configuration of a Configurable FilterReader. #### Author(s): Yannick Lecaillez <yl@seasonfive.com> #### Version: $Revision: 557 $ | ### Methods addParam createClasspath createParam getClassName getClasspath getParams setClassName setClasspath setClasspathRef setRefid
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 34] A PhingFilterReader is a wrapper class that encloses the className and configuration of a Configurable FilterReader. #### Tags:
author: | Yannick Lecaillez <yl@seasonfive.com>
version: | $Revision: 557 $
see: | FilterReader
[ Top ] ### Class Methods ### method addParam [line 88]
`void addParam( Parameter $param)`
#### Parameters:
Parameter | $param |
[ Top ] ### method createClasspath [line 66]
`void createClasspath( )`
[ Top ] ### method createParam [line 92]
`void createParam( )`
[ Top ] ### method getClassName [line 44]
`void getClassName( )`
[ Top ] ### method getClasspath [line 76]
`void getClasspath( )`
[ Top ] ### method getParams [line 97]
`void getParams( )`
[ Top ] ### method setClassName [line 40]
`void setClassName( $className)`
#### Parameters:
| $className |
[ Top ] ### method setClasspath [line 52]
`void setClasspath( Path $classpath)`
Set the classpath to load the FilterReader through (attribute). #### Parameters:
Path | $classpath |
[ Top ] ### method setClasspathRef [line 80]
`void setClasspathRef( Reference $r)`
#### Parameters:
Reference | $r |
[ Top ] ### method setRefid [line 116]
`void setRefid( Reference $r)`
Overrides DataType::setRefid() (Set the value of the refid attribute.) #### Parameters:
Reference | $r |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:35 +0200 by phpDocumentor 1.4.3